--- title: "Get Technical Metadata Ingestion Status" slug: "get-technical-metadata-ingestion-status" updated: 2026-01-06T19:11:43Z published: 2026-01-06T19:11:46Z canonical: "docs.validatar.com/get-technical-metadata-ingestion-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Technical Metadata Ingestion Status Get/api/v1/DataSteward/data-sources/{dataSourceId}/technical-metadata/{taskKey} Returns the status of a specified technical metadata ingestion SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token API key needed to access endpoints. Each Validatar user can manage their own set of API keys. Path parametersdataSourceIdinteger (int32) Required Id of the data source being refreshed taskKeystringRequired Key of the technical ingestion being checked Responses200 OK Expand Allobject executionIdinteger (int32) dateStartedstring (date-time) dateCompletedstring (date-time) | null sourcestring | null statusobject (Configuration.Api.Models.v1.Common.KeyValue) idinteger (int32) The object's ID namestring | null The object's name schemaResultobject (Configuration.Api.Models.v1.MetadataIngestionCounts) returnedCountinteger (int32) changedCountinteger (int32) insertedCountinteger (int32) updatedCountinteger (int32) deletedCountinteger (int32) skippedCountinteger (int32) tableResultobject (Configuration.Api.Models.v1.MetadataIngestionCounts) returnedCountinteger (int32) changedCountinteger (int32) insertedCountinteger (int32) updatedCountinteger (int32) deletedCountinteger (int32) skippedCountinteger (int32) columnResultobject (Configuration.Api.Models.v1.MetadataIngestionCounts) returnedCountinteger (int32) changedCountinteger (int32) insertedCountinteger (int32) updatedCountinteger (int32) deletedCountinteger (int32) skippedCountinteger (int32) hasErrorboolean exceptionJsonstring | null exceptionMessagestring | null resultErrors Array of object (Configuration.Api.Models.v1.Common.FileError) | null object rowinteger (int32) | null columnstring | null descriptionstring | null 404 Not Found object errorstring | null